GrailsConsoleAppender (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins.log4j.appenders

## [Java] Class GrailsConsoleAppender

- org.codehaus.groovy.grails.plugins.log4j.appenders.GrailsConsoleAppender

- A Log4j appender that appends to the GrailsConsole instance. Not for use in production/WAR deployed scenarios!

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `MESSAGE_PREFIX` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsConsoleAppender (groovy.util.ConfigObject config)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `append(org.apache.log4j.spi.LoggingEvent event)`
    `void` | `close()`
    `protected void` | `createStackTraceFilterer(groovy.util.ConfigObject config)` Pretty print the given stack trace and return the result
    `protected void` | `createStackTracePrinter(groovy.util.ConfigObject config)`
    `boolean` | `requiresLayout()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.apache.log4j.AppenderSkeleton` | `org.apache.log4j.AppenderSkeleton#finalize(), org.apache.log4j.AppenderSkeleton#getName(), org.apache.log4j.AppenderSkeleton#setName(java.lang.String), org.apache.log4j.AppenderSkeleton#setThreshold(org.apache.log4j.Priority), org.apache.log4j.AppenderSkeleton#getLayout(), org.apache.log4j.AppenderSkeleton#getFilter(), org.apache.log4j.AppenderSkeleton#setLayout(org.apache.log4j.Layout), org.apache.log4j.AppenderSkeleton#addFilter(org.apache.log4j.spi.Filter), org.apache.log4j.AppenderSkeleton#doAppend(org.apache.log4j.spi.LoggingEvent), org.apache.log4j.AppenderSkeleton#getThreshold(), org.apache.log4j.AppenderSkeleton#activateOptions(), org.apache.log4j.AppenderSkeleton#clearFilters(), org.apache.log4j.AppenderSkeleton#getFirstFilter(), org.apache.log4j.AppenderSkeleton#isAsSevereAsThreshold(org.apache.log4j.Priority), org.apache.log4j.AppenderSkeleton#setErrorHandler(org.apache.log4j.spi.ErrorHandler), org.apache.log4j.AppenderSkeleton#getErrorHandler(), org.apache.log4j.AppenderSkeleton#wait(long, int), org.apache.log4j.AppenderSkeleton#wait(long), org.apache.log4j.AppenderSkeleton#wait(), org.apache.log4j.AppenderSkeleton#equals(java.lang.Object), org.apache.log4j.AppenderSkeleton#toString(), org.apache.log4j.AppenderSkeleton#hashCode(), org.apache.log4j.AppenderSkeleton#getClass(), org.apache.log4j.AppenderSkeleton#notify(), org.apache.log4j.AppenderSkeleton#notifyAll(), org.apache.log4j.AppenderSkeleton#close(), org.apache.log4j.AppenderSkeleton#requiresLayout()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String MESSAGE_PREFIX

  - ### Constructor Detail

    - #### public GrailsConsoleAppender(groovy.util.ConfigObject config)

  - ### Method Detail

    - #### @java.lang.Override protected void append(org.apache.log4j.spi.LoggingEvent event)

    - #### public void close()

    - #### protected void createStackTraceFilterer(groovy.util.ConfigObject config)

      Pretty print the given stack trace and return the result

      Parameters:
        `throwable` - The throwable
      Returns:
        The result

    - #### protected void createStackTracePrinter(groovy.util.ConfigObject config)

    - #### public boolean requiresLayout()